Double27Function (Colt 1.2.0 - API Specification)
Keywords: cern.colt.function.Double27Function interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Colt 1.2.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## cern.colt.function
Interface Double27Function

public interface Double27Function

Interface that represents a function object: a function that takes 27 arguments and returns a single value.

Method Summary
`double` | `apply(double a000, double a001, double a002, double a010, double a011, double a012, double a020, double a021, double a022, double a100, double a101, double a102, double a110, double a111, double a112, double a120, double a121, double a122, double a200, double a201, double a202, double a210, double a211, double a212, double a220, double a221, double a222)` Applies a function to 27 arguments.

Method Detail

### apply

    public double apply(double a000,
                        double a001,
                        double a002,
                        double a010,
                        double a011,
                        double a012,
                        double a020,
                        double a021,
                        double a022,
                        double a100,
                        double a101,
                        double a102,
                        double a110,
                        double a111,
                        double a112,
                        double a120,
                        double a121,
                        double a122,
                        double a200,
                        double a201,
                        double a202,
                        double a210,
                        double a211,
                        double a212,
                        double a220,
                        double a221,
                        double a222)

  Applies a function to 27 arguments.

  Returns:
    the result of the function.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Colt 1.2.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Jump to the Colt Homepage